function [yn] = RK4(f,t,z,h,u)

Y(:,1) = z;
Y(:,2) = z+.5*h*f(t,Y(:,1),u);
Y(:,3) = z+.5*h*f(t+.5*h,Y(:,2),u);
Y(:,4) = z+h*f(t+.5*h,Y(:,3),u);

yn = z+(h/6)*(f(t,Y(:,1),u)+2*f(t+.5*h,Y(:,2),u)+2*f(t+.5*h,Y(:,3),u)+f(t+h,Y(:,4),u));
