function [Kavs Naavs] = findaveragecurrents(g,Kcurrents,NAcurrents)

xdistance = g.axis(2)-g.axis(1);
ydistance = g.axis(4)-g.axis(3);
xdistance = xdistance/(g.shape(1)-1);
ydistance = ydistance/(g.shape(2)-1);

[x,y,z] = ndgrid(g.axis(1):xdistance:g.axis(2),g.axis(3):ydistance:g.axis(4),-10:.2:10);

R = size(z);

Kmed = interpn(5:.2:19,14:.1:20.9,-10:.2:10, Kcurrents,x,y,z);
NAmed = interpn(5:.2:19,14:.1:20.9,-10:.2:10, NAcurrents,x,y,z);

Kmult = 3.1146e-4;
NAmult = -4.4495e-5;
%%%%%%%
for k = 1:g.shape(1)
    for j = 1:g.shape(1)
        for l = 1:R(3)
            Kavs(j,k,l) = Kmed(j,k,l)*Kmult;
            Naavs(j,k,l) = NAmed(j,k,l)*NAmult;
        end
    end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Kavs = Kavs;
Naavs = Naavs;